import { createRouter, RouteRecordRaw , createWebHashHistory} from "vue-router";

// @ts-ignore
const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    name: "index",
    component: () =>
      import(/* webpackChunkName: "/" */ "@/pages/index.vue"),
  },
  {
    path: "/pc",
    name: "pc",
    component: () =>
      import(/* webpackChunkName: "pcIndex" */ "@/pages/pc/index.vue"),
    children:[
      {
        path: '/pc/pcArticleList',
        name: 'pcArticleList',
        component: () => import(/* webpackChunkName: "pcArticleList" */'@/pages/pc/pcArticleList.vue'),
      },
      {
        path: '/pc/pcArticleDetail',
        name: 'pcArticleDetail',
        component: () => import(/* webpackChunkName: "pcArticleList" */'@/pages/pc/pcArticleDetail.vue'),
      },
    ]
  },
  {
    path: "/mobile",
    name: "mobile",
    component: () =>
      import(/* webpackChunkName: "About" */ "@/pages/mobile/index.vue"),
  },
  {
    path: "/articleDetails",
    name: "articleDetails",
    component: () =>
      import(/* webpackChunkName: "About" */ "@/pages/mobile/articleDetails/index.vue"),
  },
  {
    path: "/search",
    name: "search",
    component: () =>
      import(/* webpackChunkName: "About" */ "@/pages/mobile/search/index.vue"),
  },
];
const router = createRouter({
  history: createWebHashHistory(""),
  routes,
  scrollBehavior(to, from, savedPosition) {
    return {
      el: "#app",
      top: 0,
      behavior: "smooth",
    };
  },
});
export default router;
